For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • POSTInvoke By Id
        • POSTBatch
        • POSTInvoke
        • POSTStream Events
Logo
LoginBook a Demo
API ReferenceAgentsGeneral

Invoke

Beta
POST
https://api.athenaintel.com/api/v0/agents/general/invoke
POST
/api/v0/agents/general/invoke
$curl -X POST https://api.athenaintel.com/api/v0/agents/general/invoke \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "config": {
> "enabled_tools": [
> "search"
> ]
> },
> "messages": [
> {
> "content": "Please call the search tool for AAPL news.",
> "role": "user"
> }
> ]
>}'
1{
2 "messages": [
3 {
4 "type": "string",
5 "additional_kwargs": {},
6 "content": "string",
7 "id": "string",
8 "kwargs": {
9 "type": "string",
10 "additional_kwargs": {},
11 "content": "string",
12 "id": "string",
13 "name": "string",
14 "response_metadata": {},
15 "role": "string",
16 "tool_call_id": "string",
17 "tool_calls": [
18 {}
19 ],
20 "usage_metadata": {}
21 },
22 "langchain_id": [
23 "string"
24 ],
25 "lc": 1,
26 "message_id": "string",
27 "name": "string",
28 "response_metadata": {},
29 "role": "string",
30 "tool_call_id": "string",
31 "tool_calls": [
32 {}
33 ],
34 "usage_metadata": {}
35 }
36 ]
37}
Call the general Athena agent synchronously. Call the agent with the messages list, wait for the agent to complete, and return the result.
Was this page helpful?
Previous

Stream Events

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
configobjectRequired
Configurable fields for the agent.
messageslist of objectsRequired

The messages to send to the agent. Each message should be a string (for text inputs) or a list of multimodal content parts.

channelstringOptionalDefaults to api
The channel through which the request is being made.
thread_idstring or nullOptional
Optional thread ID for conversation persistence. If not provided, a new thread will be created.

Response

Successful Response
messageslist of objects

Errors

422
Unprocessable Entity Error